docs.emix.ai
language
language
  • πŸ‡ΊπŸ‡Έ English
  • πŸ‡¨πŸ‡³ Chinese
language
language
  • πŸ‡ΊπŸ‡Έ English
  • πŸ‡¨πŸ‡³ Chinese
Market
File Upload API
Market
File Upload API
  1. Kling
  • Getting Started with Emix API (Important)
  • Market
  • Image Models
    • Seedream
      • Seedream4.5 - Text to Image
      • Seedream4.5 - Edit
      • Seedream5.0 Lite - Text to Image
      • Seedream5.0 Lite - Image to Image
      • Seedream5.0 Pro - Text to Image
      • Seedream5.0 Pro - Image to Image
    • Google
      • Google - Nano Banana
      • Google - Nano Banana Pro
      • Google - Nano Banana 2
      • Google - Nano Banana 2 Lite
    • Grok Imagine
      • Grok Imagine - Text to Image
      • Grok Imagine - image to image
    • GPT Image
      • GPT Image-1.5 - Text to Image
      • GPT Image-1.5 - Image to Image
      • GPT Image-2 - Text to Image
      • GPT Image 2 - Image To Image
    • Wan
      • Wan 2.7 Image
      • Wan 2.7 Image Pro
  • Video Models
    • Grok Imagine
      • Grok Imagine Text to Video
      • Grok Imagine Image to Video
      • Grok Imagine - Video Upscale
      • Grok Imagine - Video Extend
      • Grok Imagine Video 1.5 Preview
    • Kling
      • Kling 2.6 Text to Video
        POST
      • Kling 2.6 Image to Video
        POST
      • Kling AI Avatar Standard
        POST
      • Kling AI Avatar Pro
        POST
      • Kling V2.1 Master Image to Video
        POST
      • Kling V2.1 Master Text to Video
        POST
      • Kling V2.1 Pro
        POST
      • Kling V2.1 Standard
        POST
      • Kling 2.6 motion-control
        POST
      • Kling-3.0 motion-control
        POST
      • Kling 3.0
        POST
    • Bytedance
      • Bytedance Seedance 2.0
      • Bytedance Seedance 2.0 Fast
      • Bytedance Seedance 2.0 Mini
    • Veo3.1 API
      • VEO 3.1 Text to video
      • VEO 3.1 Image to video
      • VEO 3.1 Reference to vidoe
    • Wan
      • Wan 2.6 - Image to Video
      • Wan 2.6 - Text to Video
      • Wan 2.6 - Video to Video
      • Wan 2.7 - Text to Video
      • Wan 2.7 - Image to Video
      • Wan 2.7 - Video Edit
      • Wan 2.7 - Reference to Video
    • HappyHorse
      • HappyHorse-1-1 image-to-video
      • HappyHorse-1-1 text-to-video
      • HappyHorse-1-1 reference-to-video
    • Gemini Omni
      • Gemini Omni Video
      • Gemini Omni Audio
      • Gemini Omni Character
  • Chat Models
    • Claude
      • Claude Code + emix.ai Integration Guide
      • Claude Sonnet 5
    • Gemini
      • Gemini 3.5 Flash (openai)
    • Grok
      • Grok 4.5
      • Grok 4.3
  • Get Task Details
    GET
  1. Kling

Kling 2.6 motion-control

POST
/api/v1/client/tasks

File Upload Requirements#

Before using the Motion Control API, you need to upload your image and video files:
1
Upload Reference Image
Use the File Upload API to upload your reference image showing the subject.
File Upload API
Learn how to upload images and get file URLs
Requirements:
File Type: JPEG, PNG, or JPG format
Max File Size: 10MB per file
Content: Clear image showing the subject's head, shoulders, and torso
2
Upload Motion Video
Upload a video that defines the motion pattern you want to apply.
Requirements:
File Type: MP4, QuickTime, or Matroska format
Duration: Between 3-30 seconds per video
Max File Size: 100MB per file
Content: Video clearly showing the subject's head, shoulders, and torso
3
Get File URLs
After upload, you'll receive file URLs that you can use in the input_urls and video_urls parameters.
Supported image formats: JPEG, PNG, JPG (Max: 10MB)
Supported video formats: MP4, QuickTime, Matroska (Max: 100MB, 3-30 seconds)
Videos must clearly show the subject's head, shoulders, and torso
Maximum one image and one video per request

Query Task Status#

After submitting a task, use the unified query endpoint to check progress and retrieve results:
Get Task Details
Learn how to query task status and retrieve generation results
For production use, we recommend using the callBackUrl parameter to receive automatic notifications when generation completes, rather than polling the status endpoint.

Related Resources#

Market Overview
Explore all available models
Common API
Check credits and account usage

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟒200
application/json
Request successful
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.emix.ai/api/v1/client/tasks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "kling/v2-6-motion-control",
    "callBackUrl": "https://your-domain.com/api/callback",
    "input": {
        "prompt": "The cartoon character is dancing.",
        "input_urls": [
            "https://static.aiquickdraw.com/tools/example/1767694885407_pObJoMcy.png"
        ],
        "video_urls": [
            "https://static.aiquickdraw.com/tools/example/1767525918769_QyvTNib2.mp4"
        ],
        "mode": "720p",
        "character_orientation": "image"
    }
}'
Response Response Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "task_kling-2.6_1767693973938"
    }
}
Previous
Kling V2.1 Standard
Next
Kling-3.0 motion-control
Built with